### Method

# EDataServer NamedParameters new_clone

since: 3.16

#### Declaration [src]

    ENamedParameters*
    e_named_parameters_new_clone (
      const ENamedParameters* parameters
    )

#### Description [src]

Creates a new instance of an `ENamedParameters`, with initial content being taken from `parameters`. This should be freed with e_named_parameters_free(), when no longer needed. Names are compared case insensitively.

The structure is not thread safe, if the caller requires thread safety, then it should provide it on its own.

Available since: 3.16

#### Return value

Type: `ENamedParameters`

Newly allocated `ENamedParameters`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.